_Eina_File_Map Struct Reference
Eina » Tools » File

This represents a memory mapped region of a file. More...

`#include <eina_file_common.h>`

## Data Fields

void * | map
| A pointer to the mapped region.
unsigned long int | offset
| The offset in the file.
unsigned long int | length
| The length of the region.
int | refcount
| Tracks references to this region.
Eina_Bool | hugetlb: 1
| Indicates if we are using HugeTLB.
Eina_Bool | faulty: 1
| Indicates if this region was not mapped correctly (i.e.

## Detailed Description

This represents a memory mapped region of a file.

## Field Documentation

## faulty

Eina_Bool _Eina_File_Map::faulty

Indicates if this region was not mapped correctly (i.e.

the call to mmap(2) failed).

Referenced by eina_file_map_faulted().